Subject: Re: [[email-masked]: [PATCH]: swsusp on linux-2.6.9-rc3]

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 05 Oct 2004 17:26:25 +1000

On Tue, 2004-10-05 at 16:58, Guido Guenther wrote:
> On Tue, Oct 05, 2004 at 09:18:33AM +1000, Benjamin Herrenschmidt wrote:
> > On Tue, 2004-10-05 at 01:12, Guido Guenther wrote:
> > > On Tue, Oct 05, 2004 at 12:14:11AM +1000, Benjamin Herrenschmidt wrote:
> > > > A hack I wrote a while ago that allows to run the MacOS "ndrv" video
> > > > driver within a userland "shell" in linux. It works with old-style
> > > > 'ndrv's that ATI still uses but not with the newer nVidia 'fully native'
> > > > drivers and it can spy all IOs done by the driver
> > 
> > > Nice. Can you think of a way to monitor calls of MacOS X into the OF?
> > 
> > It has nothing to do with OF. We need to spy the IO accesses. Roughly

> Well at least the nv driver uses the cards OF code to reiinitialize it
> after resume

They built a full OF interpreter in their driver ? We know how to
"locate" the card's OF, but it relies on a lot of stuffs, unless they
have this part of the code in a very self-contained limited portion of
their f-code which is easy to interpret ? It would be useful to have
more details from whoever told you that, knowing that they don't need to
tell us how to locate the card OF (I know there's some issues releasing
that information), just tell us what they do once they have it :)

Ben.